Subject: Re: linux-next: duplicate patch in the driver-core tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 20 Feb 2023 23:16:14 +1100

Hi Greg,

On Tue, 14 Feb 2023 17:59:51 +0100 Greg KH <[email-masked]> wrote:
>
> On Tue, Feb 14, 2023 at 05:47:16PM +0100, Wysocki, Rafael J wrote:
> > 
> > On 2/14/2023 7:46 AM, Greg KH wrote:  
> > > On Tue, Feb 14, 2023 at 12:57:00PM +1100, Stephen Rothwell wrote:  
> > > > Hi all,
> > > > 
> > > > The following commit is also in the pm tree as a different commit (but
> > > > the same patch):
> > > > 
> > > >    a0bc3f78d0ff ("kernel/power/energy_model.c: fix memory leak with using debugfs_lookup()")
> > > > 
> > > > This is commit
> > > > 
> > > >    a0e8c13ccd6a ("PM: EM: fix memory leak with using debugfs_lookup()")
> > > > 
> > > > in the pm tree.  
> > > That will be fine, thanks for the warning.  
> > 
> > I can drop the EM change, though, if you are going to carry it.  
> 
> When one branch adds it, and another adds and then removes it, and then
> the two branches are merged, what is the result?  The patch added, or
> removed?

Well, as far as git is concerned that is as if one side did nothing and
the other added the patch.  So the resolution would be the patch added.
This could still possibly be not what you want, though.

> It's safer to just leave this as a duplicate, I know git can handle that
> just fine.

In a simple case when no further conflicting changes occur, that is
fine.  I have been getting quite a few (especially today) where that is
not the case, however.

-- 
Cheers,
Stephen Rothwell